Intermittent failure in browser_480148.js | Test #2: 'visible' tabs restored first - Got 12 6 7 8 9 10 11 0 1 2 3 4 5, expected 12 7 8 9 10 11 0 1 2 3 4 5 6

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86_64
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

Reporter

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276896211.1276899183.29738.gz#err2
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/18 14:23:31
s: talos-r3-fed64-023

TEST-START | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_480148.js
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_480148.js | Only one browser window should be open initially
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_480148.js | Test #2: Number of restored tabs is as expected
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_480148.js | Test #2: 'visible' tabs restored first - Got 12 6 7 8 9 10 11 0 1 2 3 4 5, expected 12 7 8 9 10 11 0 1 2 3 4 5 6
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Dao - this sounds like it could be related to tab animation stuff, similar to bug 571935. Any ideas?
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
It's interesting that when this fails, we always get the same sequence: 12 6 7 8 9 10 11 0 1 2 3 4 5 instead of 12 7 8 9 10 11 0 1 2 3 4 5 6. Do we know what the 6 corresponds to?
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
It occurs to me this could be related to bug 573241, although that seems a little farfetched.
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Reporter

Comment 50

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277242976.1277243709.29007.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/22 14:42:56
s: talos-r3-fed64-012

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_480148.js | Test #2: 'visible' tabs restored first - Got 12 6 7 8 9 10 11 0 1 2 3 4 5, expected 12 7 8 9 10 11 0 1 2 3 4 5 6
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(In reply to comment #59)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277281806.1277282801.16500.gz
> Rev3 Fedora 12x64 mozilla-central opt test mochitest-other on 2010/06/23
> 01:30:06

rev:30e7132bba28

...which is after bug 573241 landed (but so far, the only such changeset)
haven't seen this in 2 months, so WFM
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.